README update
[gstreamer-omap:mstorsjos-gst-ducati.git] / configure.ac
1 dnl required version of autoconf
2 AC_PREREQ([2.53])
3
4 dnl TODO: fill in your package name and package version here
5 AC_INIT([gst-ducati],[0.10.0])
6
7 dnl required versions of gstreamer and plugins-base
8 GST_MAJORMINOR=0.10
9 GST_REQUIRED=0.10.30
10
11 AC_CONFIG_SRCDIR([src/gstducati.c])
12 AC_CONFIG_HEADERS([config.h])
13
14 dnl required version of automake
15 AM_INIT_AUTOMAKE([1.10])
16
17 dnl enable mainainer mode by default
18 AM_MAINTAINER_MODE
19
20 dnl sets host_* variables
21 AC_CANONICAL_HOST
22
23 dnl use pretty build output with automake >= 1.11
24 m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES([yes])],
25   [AM_DEFAULT_VERBOSITY=1
26    AC_SUBST(AM_DEFAULT_VERBOSITY)])
27
28 dnl check for tools
29 AC_PROG_CC
30 AM_PROG_CC_C_O
31 AC_PROG_INSTALL
32 AC_PROG_LIBTOOL
33
34 PKG_CHECK_MODULES([CHECK], [check], HAVE_CHECK=yes, HAVE_CHECK=no)
35
36 dnl Keep correct libtool macros in-tree.
37 AC_CONFIG_MACRO_DIR([m4])
38
39 dnl initialize GStreamer macros
40 AG_GST_INIT
41 dnl define an ERROR_CFLAGS Makefile variable
42 AG_GST_SET_ERROR_CFLAGS($GST_GIT, [
43     -Wmissing-declarations -Wmissing-prototypes -Wredundant-decls
44     -Wwrite-strings -Wformat-nonliteral -Wformat-security -Wold-style-definition
45     -Winit-self -Wmissing-include-dirs -Waddress
46     -Waggregate-return -Wno-multichar])
47
48 dnl define correct level for debugging messages
49 AG_GST_SET_LEVEL_DEFAULT($GST_GIT)
50
51 dnl set up gettext
52 dnl the version check needs to stay here because autopoint greps for it
53 AM_GNU_GETTEXT_VERSION([0.17])
54 AM_GNU_GETTEXT([external])
55 AG_GST_GETTEXT([gst-ducati-$GST_MAJORMINOR])
56
57 dnl add GStreamer arguments
58 AG_GST_ARG_DEBUG
59 AG_GST_ARG_PROFILING
60 AG_GST_ARG_VALGRIND
61 AG_GST_ARG_GCOV
62
63 AG_GST_ARG_WITH_PKG_CONFIG_PATH
64 AG_GST_ARG_WITH_PACKAGE_NAME
65 AG_GST_ARG_WITH_PACKAGE_ORIGIN
66
67 dnl required version of libtool
68 LT_PREREQ([2.2.6])
69 LT_INIT
70
71 dnl give error and exit if we don't have pkgconfig
72 AC_CHECK_PROG(HAVE_PKGCONFIG, pkg-config, [ ], [
73   AC_MSG_ERROR([You need to have pkg-config installed!])
74 ])
75
76 dnl Check for tiler memmgr
77 PKG_CHECK_MODULES([MEMMGR], [libtimemmgr])
78
79 dnl Check for required codec-engine library..
80 PKG_CHECK_MODULES(LIBDCE, [libdce >= 1.0.0])
81
82 dnl Check for the required version of GStreamer core (and gst-plugins-base)
83 dnl This will export GST_CFLAGS and GST_LIBS variables for use in Makefile.am
84 PKG_CHECK_MODULES(GST, [
85   gstreamer-0.10 >= $GST_REQUIRED
86   gstreamer-base-0.10 >= $GST_REQUIRED
87   gstreamer-plugins-base-0.10 >= $GST_REQUIRED
88   gstreamer-plugins-bad-0.10
89 ], [
90   AC_SUBST(GST_CFLAGS)
91   AC_SUBST(GST_LIBS)
92 ], [
93   AC_MSG_ERROR([
94       You need to install or upgrade the GStreamer development
95       packages on your system. On debian-based systems these are
96       libgstreamer0.10-dev and libgstreamer-plugins-base0.10-dev.
97       on RPM-based systems gstreamer0.10-devel, libgstreamer0.10-devel
98       or similar. The minimum version required is $GST_REQUIRED.
99   ])
100 ])
101
102 dnl set license and copyright notice
103 GST_LICENSE="LGPL"
104 AC_DEFINE_UNQUOTED(GST_LICENSE, "$GST_LICENSE", [GStreamer license])
105 AC_SUBST(GST_LICENSE)
106
107 dnl set GStreamer plug-in dir
108 AG_GST_SET_PLUGINDIR
109
110 dnl GST_OPTION_CFLAGS
111 if test "x$USE_DEBUG" = xyes; then
112    PROFILE_CFLAGS="-g"
113 fi
114 AC_SUBST(PROFILE_CFLAGS)
115
116 DEPRECATED_CFLAGS="-DGST_DISABLE_DEPRECATED"
117 AC_SUBST(DEPRECATED_CFLAGS)
118
119 dnl every flag in GST_OPTION_CFLAGS can be overridden at make time
120 GST_OPTION_CFLAGS="\$(WARNING_CFLAGS) \$(ERROR_CFLAGS) \$(DEBUG_CFLAGS) \$(PROFILE_CFLAGS) \$(GCOV_CFLAGS) \$(OPT_CFLAGS) \$(DEPRECATED_CFLAGS)"
121 AC_SUBST(GST_OPTION_CFLAGS)
122
123 dnl our libraries need to be versioned correctly
124 AC_SUBST(GST_LT_LDFLAGS)
125
126 dnl FIXME: do we want to rename to GST_ALL_* ?
127 dnl prefer internal headers to already installed ones
128 dnl also add builddir include for enumtypes and marshal
129 dnl add GST_OPTION_CFLAGS, but overridable
130 GST_CFLAGS="$GST_CFLAGS \$(GST_OPTION_CFLAGS)"
131 AC_SUBST(GST_CFLAGS)
132 AC_SUBST(GST_LIBS)
133
134 dnl LDFLAGS really should only contain flags, not libs - they get added before
135 dnl whatevertarget_LIBS and -L flags here affect the rest of the linking
136 GST_ALL_LDFLAGS=""
137 AC_SUBST(GST_ALL_LDFLAGS)
138
139 dnl this really should only contain flags, not libs - they get added before
140 dnl whatevertarget_LIBS and -L flags here affect the rest of the linking
141 GST_PLUGIN_LDFLAGS="-module -avoid-version -export-symbols-regex '^[_]*gst_plugin_desc\$\$' $GST_ALL_LDFLAGS"
142 AC_SUBST(GST_PLUGIN_LDFLAGS)
143
144 AC_CONFIG_FILES([Makefile src/Makefile])
145 AC_OUTPUT
146